<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <rich:dataTable value="#{encounters}" var="encounter" id="encounterList"
                    rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="ds">
        <ui:include src="/iti31/abstractEncountersColumns.xhtml">
            <ui:param name="encounter" value="#{encounter}"/>
        </ui:include>
        <g:column id="actionColumn">
            <ui:define name="header">#{messages['gazelle.simulator.pam.Action']}</ui:define>
            <h:outputLink value="#{applicationConfiguration.getValueOfVariable('application_url')}/encounter.seam?id=#{encounter.id}"
               target="_blank">
                <s:span styleClass="gzl-icon-search "/>
            </h:outputLink>
        </g:column>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="ds"/>
                <ui:param name="dataTableId" value="encounterList"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>
